Plottable
Keywords: org.jrobin.graph.Plottable class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jrobin.graph
Class Plottable

    java.lang.Object
      org.jrobin.graph.Plottable

Direct Known Subclasses:
  CubicSplineInterpolator, LinearInterpolator

public abstract class Plottable
extends java.lang.Object

Interface to be used for custom datasources. If you wish to use a custom datasource in a graph, you should create a class implementing this interface that represents that datasource, and then pass this class on to the RrdGraphDef.

Constructor Summary
`Plottable()`

Method Summary
`double` | `getValue(long timestamp)` Retrieves datapoint value based on a given timestamp.
`double` | `getValue(long timestamp, int index)` Retrieves datapoint value based on a given timestamp.
`double` | `getValue(long timestamp, java.lang.String fieldName)` Retrieves datapoint value based on a given timestamp.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Plottable

    public Plottable()

Method Detail

### getValue

    public double getValue(long timestamp)

  Retrieves datapoint value based on a given timestamp. Use this method if you only have one series of data in this class.

  Parameters:
    `timestamp` - Timestamp in seconds for the datapoint.
  Returns:
    Double value of the datapoint.

### getValue

    public double getValue(long timestamp,
                           int index)

  Retrieves datapoint value based on a given timestamp.

  Parameters:
    `timestamp` - Timestamp in seconds for the datapoint.
    `index` - Integer referring to the series containing the specific datapoint.
  Returns:
    Double value of the datapoint.

### getValue

    public double getValue(long timestamp,
                           java.lang.String fieldName)

  Retrieves datapoint value based on a given timestamp.

  Parameters:
    `timestamp` - Timestamp in seconds for the datapoint.
    `fieldName` - String that refers to the series containing the datapoint.
  Returns:
    Double value of the datapoint.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD